Subject: Re: [PATCH 0/7] Remove fenics

From: Paul Garlick <[email-masked]>
Date: Wed, 02 Apr 2025 15:31:29 +0100

Hi Guix,

Thank you for the notification that fenics-dolfin is not currently
building.

It has been a while :-) but I plan to resume maintaining the fenics
packages in Guix by the end of this month.

A quick look at the build log for fenics-dolfin suggests that the
problem is VTK-related; possibly a new VTK version containing an
updated function.

In terms of the upstream project, fenicsx will replace fenics.  It has
currently reached version 0.9; the production version may be released
later this year.

I intend to package fenicsx for Guix, including its new dependencies. 
Ideally, the fenicsx and fenics packages would co-exist for a period,

Best regards,

Paul.

On Tue, 2025-04-01 at 15:54 +0200, Andreas Enge wrote:
> Am Tue, Apr 01, 2025 at 02:33:24PM +0200 schrieb Ludovic Courtès:
> > My understanding of <https://issues.guix.gnu.org/77195> is that
> > only
> > ‘fenics-dolfin’ fails to build, so perhaps we could limit to this
> > one
> > package?
> > No strong opinion though.
> 
> Me neither. I tend to rather the other side, why should we keep a
> package that is outdated and that probably nobody uses anymore, but
> that uses project resources (builds; people trying to fix it when it
> potentially stops building, which is bound to happen with
> unmaintained
> software)?
> 
> So I would drop them all unless someone speaks up who uses any of
> them
> (or knows someone else who does).
> 
> Andreas
>